"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ReactDOM = require("react-dom");
function Portal(props) {
    var portalNode = React.useRef(null);
    var mountNode = React.useRef(null);
    var _a = React.useState(false), isReady = _a[0], setReady = _a[1];
    React.useLayoutEffect(function () {
        if (!mountNode.current) {
            return;
        }
        var ownerDocument = mountNode.current.ownerDocument;
        if (ownerDocument) {
            portalNode.current = ownerDocument.createElement("div");
            ownerDocument.body.appendChild(portalNode.current);
            setReady(true);
        }
        return function () {
            if (portalNode.current && ownerDocument) {
                ownerDocument.body.removeChild(portalNode.current);
            }
        };
    }, []);
    React.useEffect(function () {
        if (isReady && props.onReady) {
            props.onReady();
        }
    }, [isReady]);
    return portalNode.current ? (ReactDOM.createPortal(props.children, portalNode.current)) : (React.createElement("span", { ref: mountNode }));
}
exports.default = Portal;
//# sourceMappingURL=Portal.js.map